# -*- coding: utf-8 -*-
###############################################################################~!!~~!!!
#
# Copyright (c) 2010-2012, OPENTIA Group (<http://opentia.com>)
# The word "OPENTIA" is an European Community Trademark property of the Opentia Group
#
# @author: Opentia "Happy Hacking" Team
# @e-mail: consultoria@opentia·es
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
###############################################################################~!!~~!!!
from osv import fields, osv

def log_msg(mensaje):
    import logging
    _logger = logging.getLogger('debug_log')
    return _logger.warning(mensaje)


class wizard_location_algorithm(osv.osv_memory):
    _name = 'wizard_location_algorithm'

    def _inlung_lot_ids(self, cr, uid, ids, context=None):
        self.pool.get('stock.report.prodlot').search
        return [1,2]

    _columns = {
        'lot_id': fields.many2one('stock.production.lot', 'Lot', required=True, domain=[('move_ids','in',_inlung_lot_ids)]),
#        'qty': fields.
        'pallet_type':fields.selection([('EUR','EUR'),('USA','USA')], 'Pallet', required=True, help=''),
        'product_id': fields.many2one('product.product', 'Product', required=True),
    }
    _defaults = {
        'pallet_type': lambda *a: 'EUR',        
    }

wizard_location_algorithm()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
